Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 474de8b1ab52ad52d8c305a2879f273e213b4602)
+++ chapter01/changelog.xml	(revision 5c401964afecc968a0ffec8c8866daccb00ba31b)
@@ -45,4 +45,26 @@
 
     <listitem>
+      <para>2019-07-21</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.2.2. Fixes
+          <ulink url="&lfs-ticket-root;4504">#4504</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-2.1.1. Fixes
+          <ulink url="&lfs-ticket-root;4503">#4503</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kbd-2.1.0. Fixes
+          <ulink url="&lfs-ticket-root;4502">#4502</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to e2fsprogs-1.45.3. Fixes
+          <ulink url="&lfs-ticket-root;4501">#4501</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2019-07-14</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 474de8b1ab52ad52d8c305a2879f273e213b4602)
+++ chapter01/whatsnew.xml	(revision 5c401964afecc968a0ffec8c8866daccb00ba31b)
@@ -135,7 +135,7 @@
       <para>IPRoute2-&iproute2-version;</para>
    </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Kbd-&kbd-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kmod-&kmod-version;</para>
Index: general.ent
===================================================================
--- general.ent	(revision 474de8b1ab52ad52d8c305a2879f273e213b4602)
+++ general.ent	(revision 5c401964afecc968a0ffec8c8866daccb00ba31b)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190714">
+<!ENTITY version         "SVN-20190721">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190714-systemd">
+<!ENTITY versiond        "20190721-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 14th, 2019">
+<!ENTITY releasedate     "July 21th, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 474de8b1ab52ad52d8c305a2879f273e213b4602)
+++ packages.ent	(revision 5c401964afecc968a0ffec8c8866daccb00ba31b)
@@ -51,8 +51,8 @@
 <!ENTITY bash-ch6-sbu "1.7 SBU">
 
-<!ENTITY bc-version "2.1.0">
-<!ENTITY bc-size "151 KB">
-<!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "40e5f6e6d9231c80d4be19d820c5b649">
+<!ENTITY bc-version "2.1.1">
+<!ENTITY bc-size "232 KB">
+<!ENTITY bc-url "https://github.com/gavinhoward/bc/archive/&bc-version;/bc-&bc-version;.tar.gz">
+<!ENTITY bc-md5 "fb06d134d0db261a5ca42eb67fcbd42d">
 <!ENTITY bc-home "&gnu-software;bc/">
 <!ENTITY bc-ch6-du "4.1 MB">
@@ -63,6 +63,5 @@
 <!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.xz">
 <!ENTITY binutils-md5 "0d174cdaf85721c5723bf52355be41e6">
-<!ENTITY binutils-home "&gnu-software;binutils/">
-<!ENTITY binutils-ch5p1-du "580 MB">
+<!ENTITY binutils-home "&gnu-software;binutils/"><!ENTITY binutils-ch5p1-du "580 MB">
 <!ENTITY binutils-ch5p1-sbu "1 SBU">
 <!ENTITY binutils-ch5p2-du "598 MB">
@@ -145,8 +144,8 @@
 <!ENTITY diffutils-ch6-sbu "0.3 SBU">
 
-<!ENTITY e2fsprogs-version "1.45.2">
-<!ENTITY e2fsprogs-size "7,735 KB">
+<!ENTITY e2fsprogs-version "1.45.3">
+<!ENTITY e2fsprogs-size "7,741 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "45933b29a045735c2d5a2b29ce3f4480">
+<!ENTITY e2fsprogs-md5 "447a225c05f0a81121f6ddffbf55b06c">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "96 MB">
@@ -358,8 +357,8 @@
 <!ENTITY iproute2-ch6-sbu "0.2 SBU">
 
-<!ENTITY kbd-version "2.0.4">
-<!ENTITY kbd-size "1,008 KB">
+<!ENTITY kbd-version "2.1.0">
+<!ENTITY kbd-size "1,089 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "c1635a5a83b63aca7f97a3eab39ebaa6">
+<!ENTITY kbd-md5 "8af96ca067ddca1a950c25a24b9ca245">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-ch6-du "30 MB">
@@ -424,10 +423,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "2">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "2">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "104,521 KB">
+<!ENTITY linux-size "104,530 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "e839936920f433c394bb23e6c9312c68">
+<!ENTITY linux-md5 "be9f3e8e40b97616b5d31e414c7bec24">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
